QGIS can't start with scipy > 0.17

2017-11-02 12:38 PM - Brylie Oxley

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.14 Regression?: No

Operating System: Ubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 25279

Description

On Ubuntu Linux, I have installed scipy 0.18 via pip. After installing the latest version of scipy (> 0.17), QGIS fails to load. See this stack

overflow discussion for additional details:

- https://gis.stackexchange.com/questions/234010/qgis-fails-to-load

History

#1 - 2017-11-02 12:43 PM - Giovanni Manghi

- Subject changed from Crashing with scipy > 0.17 to QGIS can't start with scipy > 0.17

#2 - 2017-11-16 12:23 PM - David Fiedler

Same for me on Ubuntu 17.04

#3 - 2018-01-17 07:21 PM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Closed

This is not an issue, but dependency problem. If you use QGIS from the repos, you also need to use dependecncies from the repos. If you install some libs

by yourself, then rebuild QGIS from sources.

#4 - 2018-01-19 04:05 PM - David Fiedler

I think I don't understand. You're saying that if I'm a python programmer, and therefore I have updated versions of python libraries installed, I have to build

QGIS from source?
